### Method

# EDataServer SourceLocal dup_custom_file

#### Declaration [src]

    GFile*
    e_source_local_dup_custom_file (
      ESourceLocal* extension
    )

#### Description [src]

A thread safe variant to get a custom file being set on the `extension`. Free the returned `GFile`, if not `NULL`, with g_object_unref(), when no longer needed.

#### Return value

Type: `GFile`

The `GFile` instance, or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.